/*
** BSD Socket<->DOS file description MUX
**
** All these functions don't really know anything about the structures
** handled by the consumer.
** As far as they are concerned a fd is mapped to "some" opaque object,
** the pointer to which they manage/associate with a file descriptor.
*/
#ifndef __FDMUX_H
#define __FDMUX_H(x) __bsdso_ ## x

struct fdmux_object
{
  char opaque[1];
};

#define __sock_fd_lookup  __FDMUX_H(fd_lookup)
#define __sock_fd_assoc   __FDMUX_H(fd_assoc)
#define __sock_fd_isEBADF __FDMUX_H(fd_isEBADF)
#define __sock_fd_free    __FDMUX_H(fd_free)
#define __sock_fd_reserve __FDMUX_H(fd_reserve)
#define __fsext_setup     __FDMUX_H(fd_reserve)

extern struct fdmux_object FAR *__sock_fd_lookup(int fd); 
extern int                __sock_fd_assoc(int fd, struct fdmux_object FAR *);
extern int                __sock_fd_isEBADF(int fd);
extern int                __sock_fd_free(int fd);
extern int                __sock_fd_reserve(int fd);

#endif /* __FDMUX_H */

